Bug 123016 - CAN-2004-0426 rsync directory traversal
Summary: CAN-2004-0426 rsync directory traversal
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rsync (Show other bugs)
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-11 10:10 UTC by Mark J. Cox
Modified: 2014-08-31 23:26 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-01 22:27:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark J. Cox 2004-05-11 10:10:23 UTC
There is a security problem in all versions prior to 2.6.1 that
affects only people running a read/write daemon WITHOUT using chroot.
If the user privs that such an rsync daemon is using is anything above
"nobody", you are at risk of someone crafting an attack that could
write a file outside of the module's "path" setting (where all its
files should be stored). Please either enable chroot or upgrade to
2.6.1. People not running a daemon, running a read-only daemon, or
running a chrooted daemon are totally unaffected.

         Affects: 2.1AS 2.1AW 2.1ES 2.1WS [#122511]
         Affects: 3AS 3ES 3WS 3Desktop [#122511]
         Affects: FC1

Public: http://rsync.samba.org/#security_apr04

Comment 1 Mark J. Cox 2004-05-26 10:25:23 UTC
Note that this has been in testing for a few weeks:

http://download.fedora.redhat.com/pub/fedora/linux/core/updates/testing/1/i386/rsync-2.5.7-5.fc1.i386.rpm

Comment 2 Josh Bressers 2004-07-01 22:27:23 UTC
This silently made it out of testing.  I just mailed the announcement.
 Closing ticket.


Note You need to log in before you can comment on or make changes to this bug.